不支持将桥接头与模块接口一起使用命令CompileSwiftSources失败,退出代码为非零

sagarmahi工作

我的项目中有剃须刀付款平台,用于支付网关,SWRevelViewController而边栏控制器则用于文件。我选择了Swift 5和iOS版本13,并更新了所有Pod,但仍然出现错误

错误:不支持将桥接头与模块接口一起使用命令CompileSwiftSources失败,退出代码为非零

pod 'Alamofire', '~> 4.5' pod 'TWMessageBarManager'
pod 'SwiftValidator', :git => 'https://github.com/jpotts18/SwiftValidator.git', :tag => '4.2.0'

pod 'SDWebImage', '~> 5.0'
pod 'DropDown'
pod 'MBRadioCheckboxButton'
pod 'SwiftyJSON', '~> 4.0'
pod 'razorpay-pod', '~> 1.1.1'
pod 'GoogleMaps'
pod 'GooglePlaces'
pod 'Firebase/Auth'
pod 'SVProgressHUD'     
pod 'FacebookLogin'
pod 'FacebookCore'
pod 'ImageSlideshow', '~> 1.8.0'
pod "ImageSlideshow/SDWebImage"
pod 'Firebase/Core'
pod 'Firebase/Messaging'
pod 'PopupDialog', '~> 1.1'
pod 'GoogleSignIn'
pod 'AppAuth','~> 1.2.0'
安嘉莉·莎(Anjali Shah)

我检查了您的问题,并根据您选择的项目语言项目在XCode 10.2中正常工作,但您需要更改以更新XCode 11.2.1。

请注意以下几点:

  1. 首先确保在构建设置中桥接头文件路径正确。
  2. 您需要更新razor pay pod,因为您添加了标签(pod'razorpay-pod','〜> 1.1.1'),并且在Swift 5.1中 更新了pod,因此请删除它并使用pod 'razorpay-pod'
  3. 请更改您的构建设置。在目标框架的构建设置中将Build Library for Distribution设置为YES

希望对您有帮助。

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章

与openjdk一起使用gradle 14不支持的类文件主要版本58

如果Java不支持参数化类型数组,那么Arrays.asList()如何与它们一起使用?

将JDBI与不支持预准备语句的JDBC驱动程序一起使用

Xcode 11 beta 4错误:命令CompileSwiftSources失败,退出代码为非零

Xcode 10.2.1命令PhaseScriptExecution失败,退出代码非零

Xcode 6 / Beta 4:不支持将桥接标头与框架目标一起使用

Xcode 11 Beta 7命令PhaseScriptExecution失败,退出代码为非零([CP] Copy Pods Resources)

Flutter-命令PhaseScriptExecution失败,退出代码非零

命令PhaseScriptExecution失败,退出代码为非零Xcode 11.3.1

命令PhaseScriptExecution失败,退出代码非零-errSecInternalComponent

java.sql.SQLException:将HikariCP与Hive JDBC一起使用时不支持该方法

在以下项目上,Dotnet命令失败,退出代码为非零

Apollo iOS:命令/ bin / sh失败,退出代码为1 | 命令PhaseScriptExecution失败,退出代码非零

PhaseScriptExecution失败,退出代码为非零+ Fabric

命令PhaseScriptExecution失败,退出代码异常非零

Delphi REST GET但不支持POST与AusPost eParcel API一起使用

命令MergeSwiftModule失败,退出代码非零

Xcode 11.2.1-命令CodeSign失败,退出代码非零

gRPC和ASP Net Core:GrpcChannel不支持将SslCredentials与非null参数一起使用

Xcode链接-命令Ld失败,退出代码非零

Flutter:命令PhaseScriptExecution失败,退出代码非零

归档时“命令PhaseScriptExecution失败,退出代码非零”

Docker导致“以非零退出代码退出的命令之一;请注意,snakemake使用bash严格模式!” 与Snakemake

Xcode Flutter ScaffoldState命令PhaseScriptExecution失败,退出代码为非零错误

将SQL Server与MySQL一起使用时出现“不支持选项”错误

当与-Pz一起使用时,grep命令不支持行锚的起始'^'和'$'

不支持模块代码生成“系统”

命令不支持

“源脚本”不支持“#!/bin/bash -ex”并在命令失败时退出